function Remote({ id, title, commands = [] } = {}) {
  let _id = id;
  let _title = title;
  let _commands = commands;

  function getId() {
    return _id;
  }

  function setId(id) {
    _id = id;
  }

  function getTitle() {
    return _title;
  }

  function setTitle(title) {
    _title = title;
  }

  function getCommands() {
    return _commands;
  }

  function setCommands(commands) {
    _commands = commands;
  }

  return {
    getId,
    setId,
    getTitle,
    setTitle,
    getCommands,
    setCommands,
  };
}

export default Remote;
